# ppmdcfont

Updated: September 2005
Table Of Contents

## NAME

ppmdcfont - Turn a Ppmdfont file into C source for a builtin font

## SYNOPSIS

ppmdcfont

## DESCRIPTION

This program is part of Netpbm.

(There are no arguments or options)

ppmdcfont creates a C source file that you can compile into a built-in font for use with the Netpbm PPM drawing facilities. It reads a Ppmdfont file on Standard Input and writes the C source code to Standard Output.

The output C source code has the font object's name hardcoded as ppmd_standardfont, which you will definitely want to edit, because that is the name of the font built in to libnetpbm. If you don't change it, it will conflict both cognitively and in program linking. There should obviously be an option on ppmdcfont to choose this, but the development effort has not been justified so far.

See Libnetpbm PPM Drawing Function Manual for details on Ppmdfont files.

## SEE ALSO

ppmdraw, ppmddumpfont, ppmdcfont, Libnetpbm PPM Drawing Function Manual

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- SEE ALSO